Bug 1125267 - turn /etc/resolv.conf into a symlink to dnssec-trigger's temporary file
Summary: turn /etc/resolv.conf into a symlink to dnssec-trigger's temporary file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dnssec-trigger
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
Assignee: Pavel Šimerda (pavlix)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1166071
Blocks: Default_Local_DNS_Resolver
TreeView+ depends on / blocked
 
Reported: 2014-07-31 13:14 UTC by Pavel Šimerda (pavlix)
Modified: 2015-04-21 18:49 UTC (History)
6 users (show)

Fixed In Version: dnssec-trigger-0.12-20.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-26 22:04:45 UTC


Attachments (Terms of Use)
patch (1.24 KB, patch)
2014-07-31 13:15 UTC, Pavel Šimerda (pavlix)
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1116999 None CLOSED RFE: Please consider managing /etc/resolv.conf as symlink to a location in /run 2019-02-11 12:41:50 UTC

Internal Links: 1116999

Description Pavel Šimerda (pavlix) 2014-07-31 13:14:28 UTC
NetworkManager recently received a request to turn /etc/resolv.conf into a symlink to a temporary file. This proposal would just as well apply to dnssec-trigger.

See:

https://bugzilla.redhat.com/show_bug.cgi?id=1116999

Comment 1 Pavel Šimerda (pavlix) 2014-07-31 13:15:14 UTC
Created attachment 922913 [details]
patch

Comment 2 Pavel Šimerda (pavlix) 2014-08-13 07:18:22 UTC
Need to check whether it works as expected when not using the alternative path and will send upstream.

Comment 3 Pavel Šimerda (pavlix) 2015-01-19 12:24:01 UTC
Upstream supports the symlinks but isn't default (applies to Fedora as well) as we cannot currently guard the /etc/resolv.conf symlink from being modified by other tools.

Comment 4 Jaroslav Reznik 2015-03-03 16:10:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 Fedora Update System 2015-03-17 11:06:57 UTC
dnssec-trigger-0.12-19.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/FEDORA-2015-3864/dnssec-trigger-0.12-19.fc22

Comment 6 Fedora Update System 2015-03-17 11:07:16 UTC
dnssec-trigger-0.12-19.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/FEDORA-2015-3843/dnssec-trigger-0.12-19.fc21

Comment 7 Fedora Update System 2015-03-26 22:04:45 UTC
dnssec-trigger-0.12-19.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-21 18:49:02 UTC
dnssec-trigger-0.12-20.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.